Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# RemovalReason

class praw.models.reddit.removal_reasons.RemovalReason(reddit: praw.Reddit, subreddit: praw.models.Subreddit, id: Optional[str] = None, reason_id: Optional[str] = None, _data: Optional[Dict[str, Any]] = None)

  An individual Removal Reason object.

  Typical Attributes

  Note

  This table describes attributes that typically belong to objects of this class. PRAW dynamically provides the attributes that Reddit returns via the API. Since those attributes are subject to change on Reddit’s end, PRAW makes no effort to document any new/removed/changed attributes, other than to instruct you on how to discover what is available. As a result, this table of attributes may not be complete. See Determine Available Attributes of an Object for detailed information.

  If you would like to add an attribute to this table, feel free to open a pull request.

  Attribute | Description
  --- | ---
  `id` | The ID of the removal reason.
  `message` | The message of the removal reason.
  `title` | The title of the removal reason.

  __init__(reddit: praw.Reddit, subreddit: praw.models.Subreddit, id: Optional[str] = None, reason_id: Optional[str] = None, _data: Optional[Dict[str, Any]] = None)

    Initialize a `RemovalReason` instance.

    Parameters:

      - reddit – An instance of `Reddit`.

      - subreddit – An instance of `Subreddit`.

      - id – The ID of the removal reason.

      - reason_id – The original name of the `id` parameter. Used for backwards compatibility. This parameter should not be used.

  delete()

    Delete a removal reason from this subreddit.

    To delete `"141vv5c16py7d"` from r/test try:

        reddit.subreddit("test").mod.removal_reasons["141vv5c16py7d"].delete()

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.

  update(*, message: Optional[str] = None, title: Optional[str] = None)

    Update the removal reason from this subreddit.

    Note

    Existing values will be used for any unspecified arguments.

    Parameters:

      - message – The removal reason’s new message.

      - title – The removal reason’s new title.

    To update `"141vv5c16py7d"` from r/test try:

        reddit.subreddit("test").mod.removal_reasons["141vv5c16py7d"].update(
            title="New title", message="New message"
        )